/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Syne:wght@400..800&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;
  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  /* 
        Change favorite color
        Default: hsl(230, 55%, 55%)
        Purple: hsl(245, 55%, 55%) - Blue: hsl(210, 55%, 55%)
        Pink: hsl(340, 55%, 55%) - Green: hsl(162, 55%, 55%)
        Orange: hsl(14, 55%, 55%)

        For more colors visit: https://colors.dopely.top/color-pedia
        -> Choose any color 
        -> Click on tab (Color Conversion)
        -> Copy the color mode (HSL)
  */
  --hue: 230;
  --first-color: hsl(var(--hue), 55%, 55%);
  --first-color-light: hsl(var(--hue), 55%, 65%);
  --first-color-alt: hsl(var(--hue), 50%, 50%);
  --title-color: hsl(var(--hue), 30%, 95%);
  --text-color: hsl(var(--hue), 20%, 80%);
  --text-color-light: hsl(var(--hue), 20%, 70%);
  --body-color: hsl(var(--hue), 40%, 16%);
  --container-color: hsl(var(--hue), 40%, 20%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Syne", sans-serif;
  --biggest-font-size: 3rem;
  --big-font-size: 1.5rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-semi-bold: 600;
  --font-bold: 700;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography==========*/
@media screen and (min-width: 1150px) {
  :root {
    --biggest-font-size: 5.5rem;
    --big-font-size: 2.75rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1.125rem;
    --small-font-size: .875rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body,
input,
textarea,
button {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  background-color: var(--body-color);
  color: var(--text-color);
}

input,
button,
textarea {
  border: none;
  outline: none;
}

h1, h2, h3 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

p {
  line-height: 130%;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.section {
  padding-block: 5rem 2rem;
}

.section__title {
  text-align: center;
  font-size: var(--h1-font-size);
  font-weight: var(--font-bold);
  margin-bottom: 2rem;
}

.main {
  overflow: hidden;
}

/*=============== HEADER & NAV ===============*/

.header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: transparent;
  z-index: var(--z-fixed);
}

.nav{
  position: relative;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  }

.nav__logo{
  color: var(--title-color);
  font-weight: var(--font-bold);
}

.nav__toggle,
.nav__close{
font-size: 1.5rem;
color: var(--title-color);
cursor: pointer;
}

/* Navigation for mobile devices */

@media screen and (max-width: 1150px) {
  .nav__menu{
  position: fixed;
  top: 0;
  right: -100%;
  background-color: hsla(var(--hue), 70%, 4%, .2);
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);
  width: 80%;
  height: 100%;
  padding: 7rem 3rem;
  transition: right.4s;
}}

.nav__list{
  display: flex;
  flex-direction: column;
  row-gap: 3rem;
}

.nav__link{
  position: relative;
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  transition: color .4s;
}

.nav__link::after{
  content: '';
  width: 0;
  height: 2px;
  background-color: var(--first-color-light);
  position: absolute;
  left: 0;
  bottom: -.5rem;
  transition: width .3s;
}

.nav__link:hover{
  color: var(--first-color-light);
}

.nav__link:hover::after{
  width: 30%;
}

.nav__close{
  position: absolute;
  top: 1rem;
  right: 1.5rem;
}

/* Show menu */

.show-menu{
  right:0;
}


/* Add blur header */

.blur-header::after{
  content: '';
  position: absolute;
  width: 1000%;
  height: 100%;
  background-color: hsla(var(--hue), 70%, 4%, .2);
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);
  top: 0%;
  left: 0%;
  z-index: -1;
}

/* Active link */

.active-link{
  color:var(--first-color-light);
}

.active-link::after{
  width: 30%;
}

/*=============== HOME ===============*/

.home__container{
  row-gap: 2rem;
  padding-top: 1rem;
}

.home__img{
  width: 220px;
  justify-self: center;
  mask-image: linear-gradient(to bottom, hsla(var(--hue), 40%, 16%) 60%, transparent 100%);
}

.home__name {
  font-size: var(--biggest-font-size);
  font-weight: var(--font-bold);
  margin-bottom: 1rem;
}

.home__profession{
  position: relative;
  font-size: var(--big-font-size);
  color: var(--text-color);
}

.home__profession::after{
  content: '';
  position: absolute;
  left: 0;
  bottom: -.5rem;
  width: 25%;
  height: 3px;
  background-color: var(--text-color);
}

.home__scroll{
  color: var(--title-color);
  display: inline-flex;
  column-gap: .5rem;
  align-items: center;
  justify-self: center;
  margin-top: 3rem;
}

.home__scroll-box{
  background-color: var(--first-color);
  width: 32px;
  height: 32px;
  display: grid;
  place-items: center;
  font-size: 1.5rem;
  overflow: hidden;
}

.home__scroll-text{
  font-weight: var(--font-semi-bold);
}

.home__scroll-box i{
  animation: scroll-down 3s infinite;
}

/* Animate scroll icon */

@keyframes scroll-down{
  0%{
    transform: translateY(-1rem);
    opacity: 0;
  }
  
  50%{
    transform: translateY(0);
    opacity: 1;
  }
  
  100%{
    transform: translateY(.6rem);
    opacity: 0;
  }
}


/*=============== BUTTON ===============*/

.button{
  display: inline-flex;
  justify-content: center;
  background-color: var(--first-color);
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  padding: 1.25rem 2rem;
  transition: background-color .4s;
}

.button:hover{
  background-color: var(--first-color-alt);
}


/*=============== WORKS ===============*/

.work{
  background-color: var(--container-color);
}

.work__card{
  background-color: var(--first-color);
}

.work__link {
  display: block;
  position: relative;
  background-color: var(--body-color);
  padding: 2rem 1.5rem 1.5rem 1.5rem;
  color: var(--text-color);
  transition: transform .4s;
}

.work__title{
  font-size: var(--h3-font-size);
  margin-bottom: .75rem;
}

.work__description{
  margin-bottom: 1.5rem;
}

.work__link i{
  position: absolute;
  top: 1.8rem;
  right: 1.5rem;
  font-size: 1.5rem;
  color: var(--first-color-light);
  transition: transform .4s;
}

.work__link:hover{
  transform: translateY(-.35rem);
}

.work__link:hover i{
  transform: translateX(.5rem)
}

/*=============== INFO ===============*/

.info__container{
  row-gap: 3rem;
}

.info__title{
  position: relative;
  font-size: var(--small-font-size);
  color: var(-text-color);
  margin-bottom: 2rem;
}

.info__title::after{
  content: '';
  position: absolute;
  left: 0;
  bottom: -.5rem;
  width: 20px;
  height: 2px;
  background-color: var(--text-color);
}

/* ABOUT */

.about{
  row-gap: 3rem;
}

.about__description{
  margin-bottom: 2rem;
}

.about__description b{
  color: var(--first-color-light);
}

.about__img {
  width: 250px;
  justify-self: center;
  mask-image: linear-gradient(to bottom, hsla(var(--hue), 40%, 16%) 60%, transparent 100%);
}

.about__button{
  width: 100%;
}

/* EXPERIENCE */

.experience__content{
  row-gap: 2rem;
  justify-items: center;
  
}

.experience__data{
  row-gap: 1rem;
}

.experience__company{
  font-size: var(--h2-font-size);
  font-weight: var(--font-bold);
}

.experience__profession{
  font-size: var(--h3-font-size);
  margin-bottom: .25rem;
}

.experience__date {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: .75rem;
}

/* SKILLS */

.skills__img{
  width: 35px;
  margin-bottom: .5rem;
}

.skills__name{
  font-size: var(--small-font-size);
}

.skills__content{
  grid-template-columns: repeat(3, max-content);
  justify-content:end;
  align-items: flex-end;
}

.skills_box{
  display: grid;
  place-items: center;
  transition: transform .4s;
}

.skills__box:hover{
  transform: translateY(-.25rem);
}

/*=============== SERVICES ===============*/


/*=============== CONTACT ===============*/

.contact__container{
  row-gap: 4rem;
}

.contact__group,
.contact__form{
  gap: 1rem;
}

.contact__form{
  position: relative;
}

.contact__input {
  padding: 1.25rem;
  background-color: var(--container-color);
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

.contact__area{
  height: 10rem;
  resize: none;
}

.contact__button{
  margin-top: 1rem;
  cursor: pointer;
}

.contact__social{
  grid-template-columns: repeat(2, max-content);
  justify-content: center;
  column-gap: 3rem;
}

.contact__social-link{
  color: var(--title-color);
  display: inline-flex;
  column-gap: .25rem;
  align-items: center;
  transition: color .4s;
}

.contact__social-link i{
  font-size: 1.5rem;
}

.contact__social-link span{
  font-size: var(--small-font-size);
  font-weight: var(--font-semi-bold);
}

.contact__social-link:hover{
  color: var(--first-color-light);
}

.contact__message{
  position: absolute;
  left: 0;
  bottom: -2rem;
  font-size: var(--small-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}

/*=============== FOOTER ===============*/

.footer {
  background-color: var(--container-color);
}

.footer__container{
  padding-block: 3rem 2rem;
  row-gap: 3rem;
}

.footer__links{
  display: flex;
  justify-content: center;
  column-gap: 2.5rem;
}

.footer__link{
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  transition: color .4s;
}

.footer__link:hover{
  color: var(--first-color-light);
}

.footer__copy{
  color: var(--title-color);
  font-size: var(--small-font-size);
  text-align: center;
}

/*=============== SCROLL BAR ===============*/

::-webkit-scrollbar{
  width: .6rem;
  background-color: hsl(var(--hue), 20%, 20%);
}

::-webkit-scrollbar-thumb{
  background-color: hsl(var(--hue), 20%, 30%);
}

::-webkit-scrollbar-thumb:hover{
  background-color: hsl(var(--hue), 20%, 40%);
}

/*=============== SCROLL UP ===============*/

.scrollup{
  position: fixed;
  right: 1rem;
  bottom: -50%;
  background-color: var(--container-color);
  display: inline-flex;
  padding: 6px;
  color: var(--title-color);
  font-size: 1.25rem;
  box-shadow: 0 4px 12px hsla(var(--hue), 30%, 8%, .3);
  z-index: var(--z-tooltip);
  transition: bottom .4s, transform .45;
}

.scrollup:hover{
  transform:translateY(-.5rem);
}

/* Show Scroll Up */

.show-scroll{
  bottom: 3rem;
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 300px) {
  .container{
    margin-inline: 1rem;
  }
  .skills__content{
    grid-template-columns: repeat (2, max-content);
  }
}

/* For medium devices */

@media screen and (min-width: 540px) {
  .home__container,
  .work__container,
  .info__container,
  .services__container,
  .contact__container{
    grid-template-columns: 350px;
    justify-content: center;
  }
}

@media screen and (min-width: 768px) {
  .nav__menu{
  width: 50%;
  }
  .home__container{
  grid-template-columns: repeat(2, 350px);
  }
  .home__data {
  align-self: flex-end;
  padding-bottom: 3rem;
  order: -1;
  }

  .home__scroll{
    grid-column: 1/3;
  }

  .work__container{
    grid-template-columns: repeat(2, 350px);
  }

  .info__container{
    grid-template-columns: initial;
  }

  .about{
    grid-template-columns: repeat(2, 350px);
    align-items: center;
  }

  .about__content{
   order: 1; 
  }
  .experience__data{
    grid-template-columns: repeat(2, 1fr);
    }
    .skills__content{
    grid-template-columns: repeat(5, max-content);
    justify-content: initial;
    column-gap: 4rem;
    }
}

/* For large devices */

@media screen and (min-width:1150px){
 .container{
  margin-inline: auto;
 } 
.section{
  padding-block: 7rem 5rem;
  }
  .section__title{
    margin-bottom: 4rem;
  }
  .nav{
  height: calc(var(--header-height) + 2rem);
  }
  .nav__toggle,
  .nav__close {
  display: none;
  }
  .nav__menu{
    width: initial;
    }
  .nav__list{
    flex-direction: row;
    column-gap: 4rem;
    }
  .home__container{
    grid-template-columns: 375px 350px;
    gap: 3rem 16rem;
    }
  .home__container{
    grid-template-columns: 375px 350px;
    gap: 3rem 16rem;
    }
    .home__img{
    width: 350px;
    }
    .home__name {
    margin-bottom: 1.5rem;
    }
    .home__profession::after{
    bottom: -1rem;
    width: 35%;
    }
    .work__container{
      grid-template-columns: repeat(2, 540px);
      gap: 2.5rem;
      }
      .work__link{
      padding: 3rem 3rem 2rem;
      }
      .work__title{
      font-size: var(--h2-font-size);
      margin-bottom: 1rem;
      }
      .work__link i{
      font-size: 2rem;
      }
      .info__container{
        row-gap: 4rem;
        }
        .info__title{
        font-size: var(--normal-font-size);
        margin-bottom: 3.5rem;
        }
        .about{
        grid-template-columns: 320px 420px;
        column-gap: 11.5rem;
        }
        .about__img{
        width: 320px;
        }
        .about__description{
          margin-bottom: 3rem;
        }
        .about__button{
          width: initial;
          }
          .experience__content{
          row-gap: 4rem;
          }
          .experience__data{
          text-align: justify;
          grid-template-columns: 320px 380px;
          column-gap: 11.5rem;
          }
          .experience__company{
          font-size: var(--h1-font-size);
          }
          .experience__profession {
          margin-bottom: .5rem;
          }

          .experience__date{
            font-size: var(--normal-font-size);
            margin-bottom: 1.5rem;
          }
            .contact__container{
            grid-template-columns: 580px;
            }
            .contact__group{
            grid-template-columns: repeat(2, 1fr);
            }
          .contact__area{
            height: 15rem;
          }
          .contact__button{
            width: max-content;
            justify-self: center;
            margin-top: 1.5rem;
          }

          .contact__message{
            bottom: 4.5rem;
          }
          .contact__social{
            grid-template-columns: repeat(3, max-content);
            column-gap: 5rem;
          }

          .footer__container{
            padding-block: Brem;
            grid-template-columns: repeat(2, max-content);
            justify-content: space-between;
          }
          .footer__links{
            column-gap: 4rem;
            order: 1;
          }
          .scrollup{
            right: 3rem;
          }
}